/*
 * Driver include for the RICOH5B Tuner chip.
 *
 * Copyright 2015, 2016 SONY Corporation.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#ifndef  _RICOH5B_CMD_H
#define  _RICOH5B_CMD_H

/******************************************************************************/
/* include file                                                               */
/******************************************************************************/
#include "ricoh5b_cmd_manager.h"

/******************************************************************************/
/* enumerated/structured type definition                                      */
/******************************************************************************/

/* Phase/Gain  */
#define RICOH5B_AGCG_NUM                5

typedef struct {
  unsigned short  phase[RICOH5B_AGCG_NUM];
  unsigned short  gain[RICOH5B_AGCG_NUM];
} RICOH5B_PG;

/******************************************************************************/
/* function prototype declaration                                             */
/******************************************************************************/

/* getter */
unsigned char ricoh5b_common_cmd_get_det_offset(void);          /* get AGCDET offset */

int ricoh5b_send_dither_setting(RICOH5B_BAND_STATUS band, unsigned char audio_type);  /* dither setting             0        */
int ricoh5b_send_set_pg_tbl(RICOH5B_PG *p_pg);                                         /* set Phase/Gain Correction  0        */
int fm_if400_val_set(void);

#endif  /* _RICOH5B_CMD_H */
/* end of ricoh5b_cmd.h */
